libpam-passwdqc_1.3.0-1_amd64.deb


Advertisement

Description

libpam-passwdqc - PAM module for password strength policy enforcement

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libpam-passwdqc
Package version 1.3.0
Package release 1
Package architecture amd64
Package type deb
Installed size 74 B
Download size 14.73 KB
Official Mirror ftp.br.debian.org
passwdqc is a password/passphrase strength checking and policy
enforcement toolset, including a PAM module (libpam-passwdqc),
command-line programs (pwqcheck and pwqgen), and a library (libpasswdqc0).
pam_passwdqc (optionally) integrates with PAM such that it gets invoked
when users change their passwords. The module is capable of checking
password or passphrase strength, enforcing a policy, and offering
randomly-generated passphrases, with all of these features being
optional and easily (re-)configurable.

Alternatives

Package Version Architecture Repository
libpam-passwdqc_1.3.0-1_i386.deb 1.3.0 i386 Debian Main
libpam-passwdqc - - -

Requires

Name Value
libc6 >= 2.2.5
libpam-runtime >= 1.0.1-6
libpam0g >= 0.99.7.1
libpasswdqc0 >= 1.3.0

Download

Type URL
Binary Package libpam-passwdqc_1.3.0-1_amd64.deb
Source Package passwdqc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpam-passwdqc deb package:
    # sudo apt-get install libpam-passwdqc

Files

Path
/lib/security/pam_passwdqc.so
/usr/share/doc-base/password-strength.txt
/usr/share/doc/libpam-passwdqc/README.gz
/usr/share/doc/libpam-passwdqc/changelog.Debian.gz
/usr/share/doc/libpam-passwdqc/copyright
/usr/share/doc/libpam-passwdqc/password-strength.txt
/usr/share/man/man8/pam_passwdqc.8.gz
/usr/share/pam-configs/passwdqc

Changelog

See passwdqc_1.3.0-1_amd64.deb changelog.

See Also

Package Description
libpam-pgsql_0.7.3.2-1_amd64.deb PAM module to authenticate using a PostgreSQL database
libpam-pkcs11_0.6.8-4_amd64.deb Fully featured PAM module for using PKCS#11 smart cards
libpam-poldi_0.4.1-3+b1_amd64.deb PAM module allowing authentication using a OpenPGP smartcard
libpam-pwdfile_1.0-1_amd64.deb PAM module allowing authentication via an /etc/passwd-like file
libpam-pwquality_1.2.3-1_amd64.deb PAM module to check password strength
libpam-python-doc_1.0.4-1_all.deb Documentation for the bindings provided by libpam-python
libpam-python_1.0.4-1_amd64.deb Enables PAM modules to be written in Python
libpam-radius-auth_1.3.16-4.4_amd64.deb The PAM RADIUS authentication module
libpam-runtime_1.1.8-3.1+deb8u2_all.deb Runtime support for the PAM library
libpam-script_1.1.7-1_amd64.deb PAM module which allows executing a script
libpam-shield_0.9.6-1.1_amd64.deb locks out remote attackers trying password guessing
libpam-shishi_1.0.2-5_amd64.deb PAM module for Shishi Kerberos v5
libpam-slurm_14.03.9-5+deb8u2_amd64.deb PAM module to authenticate using the SLURM resource manager
libpam-smbpass_4.2.14+dfsg-0+deb8u9_amd64.deb pluggable authentication module for Samba
libpam-snapper_0.2.4-1_amd64.deb PAM module for Linux filesystem snapshot management tool
Advertisement
Advertisement